SmallNuke - Новости

http://www.smallnuke.com/index.php?go=News&in=view&id=80
Распечатать

Релиз PHP 5.2.7 отменен из-за наличия критической уязвимости. Релиз PHP 5.2.8

Вышедший в пятницу релиз PHP 5.2.7 убран с серверов и зеркал проекта. Всем кто успел установить PHP 5.2.7 рекомендуется вернуться к использованию PHP 5.2.6, дождаться следующего релиза, установить патч или добавить в php.ini параметр "filter.default_flags=0".

Решение об отмене релиза вызвано появлением ошибки в ext/filter, проявляющейся в полном прекращении экранирования спецсимволов при активной опции magic_quotes_gpc. Несмотря на то, что опция magic_quotes_gpc объявлена устаревшей, она по прежнему используется во многих приложениях для экранирования пользовательского ввода, неработоспособность данной подсистемы может привести, например, к возможности подстановки SQL запросов.
Admin | 08.12.2008 00:00